# Get credential lists for SIP trunk

Return all the credential lists for a specified SIP trunk.

Endpoint: GET /trunks/{trunkId}/credentialLists
Version: 1.0.0
Security: Basic, OAuth2.0

## Path parameters:

  - `trunkId` (string, required)
    The ID of the trunk that you want to work with

## Query parameters:

  - `page` (integer)
    The page you want to fetch, can set to 1 for first page, or omitted for first page

  - `size` (integer)
    The size of each page to fetch

  - `sort` (array)
    An array setting the sorting criteria in the format of property,(ascending/descending)

## Response 200 fields (application/json):

  - `credentialListIds` (array, required)
    Example: ["01GNZ9MXEZ4K6S8GB7RW063VAN"]

  - `totalItems` (integer)
    Total size of the result.
    Example: 10000

  - `pageNumber` (string)
    The token to be used for listing the next page
    Example: "1"

  - `size` (integer)
    The number of items per page. default is 1000
    Example: 2000


